[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TResolverResponse

Resolver response code

## Declaration

Source position: db.pas line 62

`type TResolverResponse = (`
`rrSkip,` |  | Skip the current update, leave it in the change log
`rrAbort,` |  | Abor the whole update process
`rrMerge,` |  | Merge the update with existing changes on the server
`rrApply,` |  | Replace the update with new values applied by the event handler
`rrIgnore` |  | Ignore the error and remove update from change log
`);`

## Description

TResolverResponse is used to indicate what should happen to a pending change that could not be resolved. It is used in callbacks.

Documentation generated on: Feb 26 2014